# coding=utf-8
from OTLMOW.OTLModel.Datatypes.KeuzelijstField import KeuzelijstField
from OTLMOW.OTLModel.Datatypes.KeuzelijstWaarde import KeuzelijstWaarde


# Generated with OTLEnumerationCreator. To modify: extend, do not edit
class KlDynBordZ30Modelnaam(KeuzelijstField):
    """Keuzelijst met de gangbare modelnamen van dynamische zone 30 borden. De modelnamen worden meestal door de leverancier of fabrikant bepaald."""
    naam = 'KlDynBordZ30Modelnaam'
    label = 'Z30 modelnaam'
    objectUri = 'https://wegenenverkeer.data.vlaanderen.be/ns/onderdeel#KlDynBordZ30Modelnaam'
    definition = 'Keuzelijst met de gangbare modelnamen van dynamische zone 30 borden. De modelnamen worden meestal door de leverancier of fabrikant bepaald.'
    codelist = 'https://wegenenverkeer.data.vlaanderen.be/id/conceptscheme/KlDynBordZ30Modelnaam'
    options = {
        'C31-pijl-links': KeuzelijstWaarde(invulwaarde='C31-pijl-links',
                                           label='C31 pijl links',
                                           objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/C31-pijl-links'),
        'C31-pijl-rechts': KeuzelijstWaarde(invulwaarde='C31-pijl-rechts',
                                            label='C31 pijl rechts',
                                            objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/C31-pijl-rechts'),
        'C43-50': KeuzelijstWaarde(invulwaarde='C43-50',
                                   label='C43 50',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/C43-50'),
        'C43-50-70': KeuzelijstWaarde(invulwaarde='C43-50-70',
                                      label='C43 50-70',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/C43-50-70'),
        'C43-70': KeuzelijstWaarde(invulwaarde='C43-70',
                                   label='C43 70',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/C43-70'),
        'F4a-30': KeuzelijstWaarde(invulwaarde='F4a-30',
                                   label='F4a 30',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/F4a-30'),
        'F4a-30-50': KeuzelijstWaarde(invulwaarde='F4a-30-50',
                                      label='F4a 30-50',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/F4a-30-50'),
        'F4a-30-50-70': KeuzelijstWaarde(invulwaarde='F4a-30-50-70',
                                         label='F4a 30-50-70',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/F4a-30-50-70'),
        'F4a-30-50-70-Flash': KeuzelijstWaarde(invulwaarde='F4a-30-50-70-Flash',
                                               label='F4a 30-50-70 Flash',
                                               objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/F4a-30-50-70-Flash'),
        'F4a-30-50-Flash': KeuzelijstWaarde(invulwaarde='F4a-30-50-Flash',
                                            label='F4a 30-50 Flash',
                                            objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/F4a-30-50-Flash'),
        'F4a-30-70': KeuzelijstWaarde(invulwaarde='F4a-30-70',
                                      label='F4a 30-70',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/F4a-30-70'),
        'F4a-30-70-Flash': KeuzelijstWaarde(invulwaarde='F4a-30-70-Flash',
                                            label='F4a 30-70 Flash',
                                            objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/F4a-30-70-Flash'),
        'F4b-30': KeuzelijstWaarde(invulwaarde='F4b-30',
                                   label='F4b 30',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/F4b-30'),
        'F4b-30-50': KeuzelijstWaarde(invulwaarde='F4b-30-50',
                                      label='F4b 30-50',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/F4b-30-50'),
        'F4b-30-50-70': KeuzelijstWaarde(invulwaarde='F4b-30-50-70',
                                         label='F4b 30-50-70',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/F4b-30-50-70'),
        'F4b-30-50-70-Flash': KeuzelijstWaarde(invulwaarde='F4b-30-50-70-Flash',
                                               label='F4b 30-50-70 Flash',
                                               objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/F4b-30-50-70-Flash'),
        'F4b-30-50-Flash': KeuzelijstWaarde(invulwaarde='F4b-30-50-Flash',
                                            label='F4b 30-50 Flash',
                                            objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/F4b-30-50-Flash'),
        'F4b-30-70': KeuzelijstWaarde(invulwaarde='F4b-30-70',
                                      label='F4b 30-70',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/F4b-30-70'),
        'F4b-30-70-Flash': KeuzelijstWaarde(invulwaarde='F4b-30-70-Flash',
                                            label='F4b 30-70 Flash',
                                            objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlDynBordZ30Modelnaam/F4b-30-70-Flash')
    }

